%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           liveusb-creator
Version:        3.11.7
Release:        %mkrel 3
Summary:        A liveusb creator

Group:          System/Configuration
License:        GPLv2
URL:            https://fedorahosted.org/liveusb-creator
Source0:        https://fedorahosted.org/releases/l/i/liveusb-creator/%{name}-%{version}.tar.bz2
Patch0:		liveusb-creator-ext4.diff 
BuildArch:      noarch
ExcludeArch:    ppc
ExcludeArch:    ppc64

BuildRequires:  python-devel, python-setuptools, python-qt4-devel, desktop-file-utils gettext
Requires:       syslinux, python-qt4, usermode, isomd5sum
Requires:       python-urlgrabber python-dbus
Requires:       python-parted >= 2.0

%description
A liveusb creator from Live Fedora images

%prep
%setup -q
#patch0 -p0

%build
%{__python} setup.py build
make mo
make mo

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{__rm} -r liveusb/urlgrabber

# Adjust for console-helper magic
mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_sbindir}/%{name}
ln -s ../bin/consolehelper %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cp %{name}.pam %{buildroot}%{_sysconfdir}/pam.d/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cp %{name}.console %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

desktop-file-install --vendor="fedora"                    \
--dir=%{buildroot}%{_datadir}/applications           \
%{buildroot}/%{_datadir}/applications/liveusb-creator.desktop
rm -rf %{buildroot}/%{_datadir}/applications/liveusb-creator.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc README.txt LICENSE.txt
%{python_sitelib}/*
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/applications/fedora-liveusb-creator.desktop
%{_datadir}/pixmaps/fedorausb.png
#%{_datadir}/locale/*/LC_MESSAGES/liveusb-creator.mo
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}


%changelog

* Wed Jan 23 2013 fwang <fwang> 3.11.7-3.mga3
+ Revision: 391477
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 3.11.7-2.mga3
+ Revision: 358891
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 tv <tv> 3.11.7-1.mga3
+ Revision: 323306
- new release

* Tue Sep 06 2011 tv <tv> 3.11.4-1.mga2
+ Revision: 139710
- new release
- temporary disable patch 0
- new release
- imported package liveusb-creator

